Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Class LogicalImpl

    java.lang.Object
      com.beasys.commerce.foundation.expression.ExpressionImpl
          com.beasys.commerce.foundation.expression.LogicalImpl

All Implemented Interfaces
  Expression, Logical, Serializable, Cloneable, Comparable

Deprecated Use `Expression` instead.

    public class LogicalImpl

extends ExpressionImpl
implements Logical, Cloneable

An expression which does a boolean AND or OR against a list of child expression.

See Also
  `Logical`, `LogicalHome`, `ExpressionHelper`, Serialized Form

Field Summary
`Collection` | `children` Deprecated The list of children Expressions.
`String` | `logical` Deprecated The boolean logical operator.

Fields inherited from class com.beasys.commerce.foundation.expression.ExpressionImpl
`not`

Constructor Summary
`LogicalImpl()` Deprecated Constructor.

Method Summary
`boolean` | `addAllChildren(Collection collection)` Deprecated Adds all of the expressions in the specified collection to our list of children expressions.
`boolean` | `addChildren(Expression element)` Deprecated Ensures that the list of children expressions contains the specified expression.
`void` | `clearChildren()` Deprecated Removes all children expressions.
`int` | `compareTo(Object o)` Deprecated Compare this belonging to another
`boolean` | `containsAllChildren(Collection collection)` Deprecated Returns true if all the specified expressions are our children.
`boolean` | `containsChildren(Expression element)` Deprecated Returns true if the specified expression is one of our children.
`boolean` | `equalsChildren(Object object)` Deprecated Compares the specified object with the list of children expressions.
`Collection` | `getAllChildren()` Deprecated Returns the list of children expressions.
`String` | `getLogical()` Deprecated Get the boolean logical operator.
`int` | `hashCodeChildren()` Deprecated Returns the hash code value for the list of children expressions.
`String` | `interfaceName()` Deprecated interfaceName() returns the unqualified name of the interface from the UML model.
`boolean` | `isEmptyChildren()` Deprecated Returns true if we have no children.
`Iterator` | `iteratorChildren()` Deprecated Returns an iterator over the list of children expressions.
`boolean` | `removeAllChildren(Collection collection)` Deprecated Removes, from our children, all of the expressions specified.
`boolean` | `removeChildren(Expression element)` Deprecated Removes a single child expression from us.
`boolean` | `retainAllChildren(Collection collection)` Deprecated Retains only the children which are also contained in the specified collection.
`void` | `setAllChildren(Collection collection)` Deprecated Sets the list of children expressions.
`void` | `setByValue(Object value)` Deprecated It is possible to call set-by-value with a superclass.
`void` | `setLogical(String logical)` Deprecated Set the boolean logical operator.
`int` | `sizeChildren()` Deprecated Returns the number of children expressions.
`Object` | `value()` Deprecated value() is a more typesafe implementation of clone()
`void` | `valueOf(String expression)` Deprecated Populate this Logical from the given expression string.

Methods inherited from class com.beasys.commerce.foundation.expression.ExpressionImpl
`clone, equals, getNot, setNot, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.expression.Expression
`getNot, setNot, toString`

Field Detail

### children

    public Collection children

  Deprecated
  The list of children Expressions.
  - Containment: By Value
  - Multiplicity: 0:N
  - Interface: java.util.Collection

### logical

    public String logical

  Deprecated
  The boolean logical operator.
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### LogicalImpl

    public LogicalImpl()

  Deprecated
  Constructor.

Method Detail

### getAllChildren

    public Collection getAllChildren()

  Deprecated
  Returns the list of children expressions.

  Specified by:
    `getAllChildren` in interface `Logical`

### setAllChildren

    public void setAllChildren(Collection collection)

  Deprecated
  Sets the list of children expressions.

  Specified by:
    `setAllChildren` in interface `Logical`

### addChildren

    public boolean addChildren(Expression element)

  Deprecated
  Ensures that the list of children expressions contains the specified expression.

  Specified by:
    `addChildren` in interface `Logical`

### addAllChildren

    public boolean addAllChildren(Collection collection)

  Deprecated
  Adds all of the expressions in the specified collection to our list of children expressions.

  Specified by:
    `addAllChildren` in interface `Logical`

### clearChildren

    public void clearChildren()

  Deprecated
  Removes all children expressions.

  Specified by:
    `clearChildren` in interface `Logical`

### containsChildren

    public boolean containsChildren(Expression element)

  Deprecated
  Returns true if the specified expression is one of our children.

  Specified by:
    `containsChildren` in interface `Logical`

### containsAllChildren

    public boolean containsAllChildren(Collection collection)

  Deprecated
  Returns true if all the specified expressions are our children.

  Specified by:
    `containsAllChildren` in interface `Logical`

### equalsChildren

    public boolean equalsChildren(Object object)

  Deprecated
  Compares the specified object with the list of children expressions.

  Specified by:
    `equalsChildren` in interface `Logical`

### hashCodeChildren

    public int hashCodeChildren()

  Deprecated
  Returns the hash code value for the list of children expressions.

  Specified by:
    `hashCodeChildren` in interface `Logical`

### isEmptyChildren

    public boolean isEmptyChildren()

  Deprecated
  Returns true if we have no children.

  Specified by:
    `isEmptyChildren` in interface `Logical`

### iteratorChildren

    public Iterator iteratorChildren()

  Deprecated
  Returns an iterator over the list of children expressions.

  Specified by:
    `iteratorChildren` in interface `Logical`

### removeChildren

    public boolean removeChildren(Expression element)

  Deprecated
  Removes a single child expression from us.

  Specified by:
    `removeChildren` in interface `Logical`

### removeAllChildren

    public boolean removeAllChildren(Collection collection)

  Deprecated
  Removes, from our children, all of the expressions specified.

  Specified by:
    `removeAllChildren` in interface `Logical`

### retainAllChildren

    public boolean retainAllChildren(Collection collection)

  Deprecated
  Retains only the children which are also contained in the specified collection.

  Specified by:
    `retainAllChildren` in interface `Logical`

### sizeChildren

    public int sizeChildren()

  Deprecated
  Returns the number of children expressions.

  Specified by:
    `sizeChildren` in interface `Logical`

### getLogical

    public String getLogical()

  Deprecated
  Get the boolean logical operator.

  Specified by:
    `getLogical` in interface `Logical`

### setLogical

    public void setLogical(String logical)

  Deprecated
  Set the boolean logical operator.

  Specified by:
    `setLogical` in interface `Logical`

### value

    public Object value()

  Deprecated
  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Expression`
  Overrides:
    `value` in class `ExpressionImpl`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated
  interfaceName() returns the unqualified name of the interface from the UML model.

  Specified by:
    `interfaceName` in interface `Expression`
  Overrides:
    `interfaceName` in class `ExpressionImpl`
  Returns
    the unqualified name of the belonging interface

### setByValue

    public void setByValue(Object value)

  Deprecated
  It is possible to call set-by-value with a superclass.

  If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values. It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Expression`
  Overrides:
    `setByValue` in class `ExpressionImpl`

### compareTo

    public int compareTo(Object o)

  Deprecated
  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Overrides:
    `compareTo` in class `ExpressionImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

### valueOf

    public void valueOf(String expression)
                 throws IllegalArgumentException

  Deprecated
  Populate this Logical from the given expression string.

  Specified by:
    `valueOf` in interface `Expression`
  Overrides:
    `valueOf` in class `ExpressionImpl`
  Throws
    `IllegalArgumentException` - thrown on an invalid expression string.
  See Also
    `ExpressionHelper.parse(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.